package com.goomood.phm.domain;

import com.goomood.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.goomood.common.annotation.Excel;

/**
 * 故障案例对象 fault_case
 * 
 * @author goomood
 * @date 2024-11-17
 */
public class FaultCase extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 故障名称 */
    @Excel(name = "故障名称")
    private String faultName;

    /** 系统 */
    @Excel(name = "系统")
    private String useSystem;

    /** 分系统 */
    @Excel(name = "分系统")
    private String subsystem;

    /** 机件名称 */
    @Excel(name = "机件名称")
    private String partName;

    /** 专业 */
    @Excel(name = "专业")
    private String specialty;

    /** 机型 */
    @Excel(name = "机型")
    private String aircraftType;

    /** 故障原因 */
    @Excel(name = "故障原因")
    private String faultCause;

    /** 故障描述 */
    private String faultDetail;

    /** 处置方式 */
    private String handlingMethod;

    /** 案例编号 */
    @Excel(name = "案例编号")
    private String caseNo;

    /** 文件路径 */
    private String filePath;

    /** 图片路径 */
    private String imagePath;

    /** 备注 */
    private String remarks;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFaultName(String faultName) 
    {
        this.faultName = faultName;
    }

    public String getFaultName() 
    {
        return faultName;
    }
    public void setUseSystem(String useSystem) 
    {
        this.useSystem = useSystem;
    }

    public String getUseSystem() 
    {
        return useSystem;
    }
    public void setSubsystem(String subsystem) 
    {
        this.subsystem = subsystem;
    }

    public String getSubsystem() 
    {
        return subsystem;
    }
    public void setPartName(String partName) 
    {
        this.partName = partName;
    }

    public String getPartName() 
    {
        return partName;
    }
    public void setSpecialty(String specialty) 
    {
        this.specialty = specialty;
    }

    public String getSpecialty() 
    {
        return specialty;
    }
    public void setAircraftType(String aircraftType) 
    {
        this.aircraftType = aircraftType;
    }

    public String getAircraftType() 
    {
        return aircraftType;
    }
    public void setFaultCause(String faultCause) 
    {
        this.faultCause = faultCause;
    }

    public String getFaultCause() 
    {
        return faultCause;
    }
    public void setFaultDetail(String faultDetail) 
    {
        this.faultDetail = faultDetail;
    }

    public String getFaultDetail() 
    {
        return faultDetail;
    }
    public void setHandlingMethod(String handlingMethod) 
    {
        this.handlingMethod = handlingMethod;
    }

    public String getHandlingMethod() 
    {
        return handlingMethod;
    }
    public void setCaseNo(String caseNo) 
    {
        this.caseNo = caseNo;
    }

    public String getCaseNo() 
    {
        return caseNo;
    }
    public void setFilePath(String filePath) 
    {
        this.filePath = filePath;
    }

    public String getFilePath() 
    {
        return filePath;
    }
    public void setImagePath(String imagePath) 
    {
        this.imagePath = imagePath;
    }

    public String getImagePath() 
    {
        return imagePath;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("faultName", getFaultName())
            .append("useSystem", getUseSystem())
            .append("subsystem", getSubsystem())
            .append("partName", getPartName())
            .append("specialty", getSpecialty())
            .append("aircraftType", getAircraftType())
            .append("faultCause", getFaultCause())
            .append("faultDetail", getFaultDetail())
            .append("handlingMethod", getHandlingMethod())
            .append("caseNo", getCaseNo())
            .append("filePath", getFilePath())
            .append("imagePath", getImagePath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remarks", getRemarks())
            .toString();
    }
}
